package editor;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;

public class Main extends JFrame{
  EditPanel editPanel;

  public Main(){
    super("Stage Editor");

    editPanel = new EditPanel();
    add(editPanel, BorderLayout.CENTER);

    Box box = new Box(BoxLayout.X_AXIS);

    JButton button = new JButton("save");
    button.addActionListener(new ActionListener(){
      public void actionPerformed(ActionEvent e){
        editPanel.saveFile(new File("map.xml"));
        editPanel.saveImage(new File("map.png"));
      }
    });
    box.add(button);

    ButtonGroup group = new ButtonGroup();
    JRadioButton radio = new JRadioButton("Player", true);
    radio.addActionListener(new ActionListener(){
      public void actionPerformed(ActionEvent e){
        editPanel.setMode(EditPanel.EDIT_PLAYER);
      }
    });
    group.add(radio);
    box.add(radio);
    radio = new JRadioButton("Enemy");
    radio.addActionListener(new ActionListener(){
      public void actionPerformed(ActionEvent e){
        editPanel.setMode(EditPanel.EDIT_ENEMY);
      }
    });
    group.add(radio);
    box.add(radio);
    radio = new JRadioButton("Obstacle");
    radio.addActionListener(new ActionListener(){
      public void actionPerformed(ActionEvent e){
        editPanel.setMode(EditPanel.EDIT_OBSTACLE);
      }
    });
    group.add(radio);
    box.add(radio);
    radio = new JRadioButton("Goal");
    radio.addActionListener(new ActionListener(){
      public void actionPerformed(ActionEvent e){
        editPanel.setMode(EditPanel.EDIT_GOAL);
      }
    });
    group.add(radio);
    box.add(radio);

    add(box, BorderLayout.SOUTH);
  }

  public static void main(String[] args){
    Main frame = new Main();
    frame.pack();
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setVisible(true);
  }
}
